{% load static %}


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Tasks</title>
    <link rel="stylesheet" href="{% static 'css/projects.css' %}">
</head>

<body>
    <div class="content-wrapper">
        <header>
            <nav>
                <ul class="nav-left">
                    {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'company_list' %}">My companies</a>
                    </li>
                    {% endif %}
                </ul>
                <ul class="nav-right">
                    {% if user.is_authenticated %}
                    <li>
                        <a>🌟 You're Awesome, {{ user.username }}!</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Sign up</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div class="task-form">
                <h1>Search Tasks by Company</h1>
                <form method="get">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <button>Search</button>
                </form>

                {% if tasks is not None %}
                {% if tasks %}
                <h2>Tasks with {{ form.cleaned_data.company.name }}</h2>
                <ul>
                    {% for task in tasks %}
                    <li>{{ task.name }}</li>
                    {% endfor %}
                </ul>
                {% else %}
                <p>No tasks found with the selected company.</p>
                {% endif %}
                {% endif %}
            </div>
        </main>
    </div>
    <footer class="footer">
        <p>Developed by Dongyu Wang (王冬雨). If you find any bugs, they are features:) &copy; 2024 All rights reserved.
        </p>
    </footer>
</body>

</html>
